### MATLAB_SBML_STRUCTURE_FUNCTIONS\INITIALASSIGNMENT

The functions allow users to create and work with the SBML InitialAssignment structure.

Function are:

#### InitialAssignment = InitialAssignment_create(level(optional), version(optional) )

Takes

1. level, an integer representing an SBML level (optional)
2. version, an integer representing an SBML version (optional)

Returns

1. a MATLAB_SBML InitialAssignment structure of the appropriate level and version

NOTE: the optional level and version preserve backwards compatibility a missing version argument will default to L1V2; L2V4 or L3V1 missing both arguments will default to L3V1

#### math = InitialAssignment_getMath(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. the value of the math attribute

#### metaid = InitialAssignment_getMetaid(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. the value of the metaid attribute

#### sboTerm = InitialAssignment_getSBOTerm(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. the value of the sboTerm attribute

#### symbol = InitialAssignment_getSymbol(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. the value of the symbol attribute

#### value = InitialAssignment_isSetMath(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. value =
   - 1 if the math attribute is set
   - 0 otherwise

#### value = InitialAssignment_isSetMetaid(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. value =
   - 1 if the metaid attribute is set
   - 0 otherwise

#### value = InitialAssignment_isSetSBOTerm(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. value =
   - 1 if the sboTerm attribute is set
   - 0 otherwise

#### value = InitialAssignment_isSetSymbol(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. value =
   - 1 if the symbol attribute is set
   - 0 otherwise

#### SBMLInitialAssignment = InitialAssignment_setMath(SBMLInitialAssignment, math)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure
2. math; string representing the math expression math to be set

Returns

1. the SBML InitialAssignment structure with the new value for the math attribute

#### SBMLInitialAssignment = InitialAssignment_setMetaid(SBMLInitialAssignment, metaid)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure
2. metaid; a string representing the metaid to be set

Returns

1. the SBML InitialAssignment structure with the new value for the metaid attribute

#### SBMLInitialAssignment = InitialAssignment_setSBOTerm(SBMLInitialAssignment, sboTerm)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure
2. sboTerm, an integer representing the sboTerm to be set

Returns

1. the SBML InitialAssignment structure with the new value for the sboTerm attribute

#### SBMLInitialAssignment = InitialAssignment_setSymbol(SBMLInitialAssignment, symbol)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure
2. symbol; a string representing the symbol to be set

Returns

1. the SBML InitialAssignment structure with the new value for the symbol attribute

#### SBMLInitialAssignment = InitialAssignment_unsetMath(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. the SBML InitialAssignment structure with the math attribute unset

#### SBMLInitialAssignment = InitialAssignment_unsetMetaid(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. the SBML InitialAssignment structure with the metaid attribute unset

#### SBMLInitialAssignment = InitialAssignment_unsetSBOTerm(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. the SBML InitialAssignment structure with the sboTerm attribute unset

#### SBMLInitialAssignment = InitialAssignment_unsetSymbol(SBMLInitialAssignment)

Takes

1. SBMLInitialAssignment, an SBML InitialAssignment structure

Returns

1. the SBML InitialAssignment structure with the symbol attribute unset